###############################################################################################
##---Calculates mean distance to the nearest road for municipalities in the Americas
###############################################################################################

# Import system modules
import sys, string, os, arcgisscripting

# Create the Geoprocessor object
gp = arcgisscripting.create()

#Turn overwrite on
gp.overwriteoutput = 1
print "overwrite on"

# Check out any necessary licenses
gp.CheckOutExtension("spatial")

# Load required toolboxes...
gp.AddToolbox("C:/Program Files/ArcGIS/ArcToolbox/Toolboxes/Spatial Analyst Tools.tbx")
gp.AddToolbox("C:/Program Files/Arcgis/ArcToolbox/Toolboxes/Analysis Tools.tbx")
gp.AddToolbox("C:/Program Files/Arcgis/ArcToolbox/Toolboxes/Data Management Tools.tbx")

# Set directory path
gp.workspace = "INSERT DIRECTORY PATH HERE"
print "directroy set"


###########################################################################
###-------Create cost distance rasters for North and South America: for
###----each cell in the 1 km x 1 km raster,, this will give the distance
###----to the nearest paved road, accounting for changes in elevation
###########################################################################



# Local variables...
el_n = "el_n"
el_s = "el_s"
elev = "elev"
eln_prj = "eln_prj"
els_prj = "els_prj"
cdist_n = "pdN"
cdist_s = "pdS"
paved_prjN_shp = "paved_prjN.shp"
paved_prjS_shp = "paved_prjS.shp"
pavedroads_shp = "pavedroads.shp"
v1244121353_US_P2MJRRDS_2006_shp = "1244121353_US_P2MJRRDS_2006.shp"
lac_paved_shp = "lac_paved.shp"

# Process: Merge...
gp.Merge_management("1244121353_US_P2MJRRDS_2006.shp;lac_paved.shp", pavedroads_shp, "FNODE_ FNODE_ true false false 11 Double 0 11 ,First,#,lac_paved.shp,FNODE_,-1,-1;TNODE_ TNODE_ true false false 11 Double 0 11 ,First,#,lac_paved.shp,TNODE_,-1,-1;LPOLY_ LPOLY_ true false false 11 Double 0 11 ,First,#,lac_paved.shp,LPOLY_,-1,-1;RPOLY_ RPOLY_ true false false 11 Double 0 11 ,First,#,lac_paved.shp,RPOLY_,-1,-1;LENGTH LENGTH true false false 19 Double 5 18 ,First,#,lac_paved.shp,LENGTH,-1,-1;LAC_VIA_DC LAC_VIA_DC true false false 11 Double 0 11 ,First,#,lac_paved.shp,LAC_VIA_DC,-1,-1;LAC_VIA__1 LAC_VIA__1 true false false 11 Double 0 11 ,First,#,lac_paved.shp,LAC_VIA__1,-1,-1;PAIS PAIS true false false 25 Text 0 0 ,First,#,lac_paved.shp,PAIS,-1,-1;RDLNTYPE RDLNTYPE true false false 2 Short 0 2 ,First,#,lac_paved.shp,RDLNTYPE,-1,-1;RDTYPE_CIA RDTYPE_CIA true false false 2 Short 0 2 ,First,#,lac_paved.shp,RDTYPE_CIA,-1,-1;RDQUA_CIAT RDQUA_CIAT true false false 1 Short 0 1 ,First,#,lac_paved.shp,RDQUA_CIAT,-1,-1;RDLNSTAT RDLNSTAT true false false 2 Short 0 2 ,First,#,lac_paved.shp,RDLNSTAT,-1,-1;TIME TIME true false false 7 Long 0 7 ,First,#,lac_paved.shp,TIME,-1,-1;Velocidad Velocidad true false false 2 Short 0 2 ,First,#,lac_paved.shp,Velocidad,-1,-1")
print "merged U.S. and lac paved roads"

# Process: Extract by Rectangle...
gp.ExtractByRectangle_sa(elev, "-178.400621 3.214286 -61.0559006211656 73.416149", el_n, "INSIDE")
print "clipped elevation to North America"

# Process: Project...
gp.ProjectRaster_management(el_n, eln_prj, "PROJCS['NA_Lambert_Azimuthal_Equal_Area',GEOGCS['GCS_WGS_1984',DATUM['D_WGS_1984',SPHEROID['WGS_1984',6378137.0,298.257223563]],PRIMEM['Greenwich',0.0],UNIT['Degree',0.0174532925199433]],PROJECTION['Lambert_Azimuthal_Equal_Area'],PARAMETER['False_Easting',0.0],PARAMETER['False_Northing',0.0],PARAMETER['Central_Meridian',-90.0],PARAMETER['Latitude_Of_Origin',30.0],UNIT['Meter',1.0]];IsHighPrecision", "NEAREST", "1000", "", "", "GEOGCS['GCS_WGS_1984',DATUM['D_WGS_1984',SPHEROID['WGS_1984',6378137.0,298.257223563]],PRIMEM['Greenwich',0.0],UNIT['Degree',0.0174532925199433]];-400 -400 11258999068426.2;0 100000;0 100000;8.98315284119521E-09;0.00002;0.00002;IsHighPrecision")
print "projected NA elevation block to a Lambert Azimuthal Equal Area projection centered in North America"

# Process: Project ...
gp.Project_management(pavedroads_shp, paved_prjN_shp, "PROJCS['NA_Lambert_Azimuthal_Equal_Area',GEOGCS['GCS_WGS_1984',DATUM['D_WGS_1984',SPHEROID['WGS_1984',6378137.0,298.257223563]],PRIMEM['Greenwich',0.0],UNIT['Degree',0.0174532925199433]],PROJECTION['Lambert_Azimuthal_Equal_Area'],PARAMETER['False_Easting',0.0],PARAMETER['False_Northing',0.0],PARAMETER['Central_Meridian',-90.0],PARAMETER['Latitude_Of_Origin',30.0],UNIT['Meter',1.0]]", "", "PROJCS['World_Cylindrical_Equal_Area',GEOGCS['GCS_WGS_1984',DATUM['D_WGS_1984',SPHEROID['WGS_1984',6378137.0,298.257223563]],PRIMEM['Greenwich',0.0],UNIT['Degree',0.0174532925199433]],PROJECTION['Cylindrical_Equal_Area'],PARAMETER['False_Easting',0.0],PARAMETER['False_Northing',0.0],PARAMETER['Central_Meridian',0.0],PARAMETER['Standard_Parallel_1',0.0],UNIT['Meter',1.0]]")
print "projected roads to a Lambert Azimuthal Equal Area projection centered in North America"

# Process: Path Distance...
gp.PathDistance_sa(paved_prjN_shp, cdist_n, "", eln_prj, "", "BINARY 1 45", "", "BINARY 1 -30 30","", "")
print "calculated distance to nearest paved road for all cells in the North America block"


# Process: Extract by Rectangle...
gp.ExtractByRectangle_sa(elev, "-85.652174 -58.78882 -28.2608695652781 13.462733", el_s, "INSIDE")
print "clipped elevation to South America"

# Process: Project...
gp.ProjectRaster_management(el_s, els_prj, "PROJCS['SA_Lambert_Azimuthal_Equal_Area',GEOGCS['GCS_WGS_1984',DATUM['D_WGS_1984',SPHEROID['WGS_1984',6378137.0,298.257223563]],PRIMEM['Greenwich',0.0],UNIT['Degree',0.0174532925199433]],PROJECTION['Lambert_Azimuthal_Equal_Area'],PARAMETER['False_Easting',0.0],PARAMETER['False_Northing',0.0],PARAMETER['Central_Meridian',-65.0],PARAMETER['Latitude_Of_Origin',-25.0],UNIT['Meter',1.0]];IsHighPrecision", "NEAREST", "1000", "", "", "GEOGCS['GCS_WGS_1984',DATUM['D_WGS_1984',SPHEROID['WGS_1984',6378137.0,298.257223563]],PRIMEM['Greenwich',0.0],UNIT['Degree',0.0174532925199433]];-400 -400 11258999068426.2;0 100000;0 100000;8.98315284119521E-09;0.00002;0.00002;IsHighPrecision")
print "projected SA elevation block to a Lambert Azimuthal Equal Area projection centered in South America"

# Process: Project...
gp.Project_management(pavedroads_shp, paved_prjS_shp, "PROJCS['SA_Lambert_Azimuthal_Equal_Area',GEOGCS['GCS_WGS_1984',DATUM['D_WGS_1984',SPHEROID['WGS_1984',6378137.0,298.257223563]],PRIMEM['Greenwich',0.0],UNIT['Degree',0.0174532925199433]],PROJECTION['Lambert_Azimuthal_Equal_Area'],PARAMETER['False_Easting',0.0],PARAMETER['False_Northing',0.0],PARAMETER['Central_Meridian',-65.0],PARAMETER['Latitude_Of_Origin',-25.0],UNIT['Meter',1.0]]", "", "PROJCS['World_Cylindrical_Equal_Area',GEOGCS['GCS_WGS_1984',DATUM['D_WGS_1984',SPHEROID['WGS_1984',6378137.0,298.257223563]],PRIMEM['Greenwich',0.0],UNIT['Degree',0.0174532925199433]],PROJECTION['Cylindrical_Equal_Area'],PARAMETER['False_Easting',0.0],PARAMETER['False_Northing',0.0],PARAMETER['Central_Meridian',0.0],PARAMETER['Standard_Parallel_1',0.0],UNIT['Meter',1.0]]")
print "projected roads to a Lambert Azimuthal Equal Area projection centered in South America"

# Process: Path Distance ...
gp.PathDistance_sa(paved_prjS_shp, cdist_s, "", els_prj, "", "BINARY 1 45", "", "BINARY 1 -30 30","", "")
print "calculated distance to nearest paved road for all cells in the South America block"


#######################################################################################
####---------Project the boundaries to same projection as the cost distance raster
#######################################################################################

# Local variables...
ARcensus3_ed_shp = "ARcensus3_ed.shp"
BRcensus3_ed_shp = "BRcensus3_ed.shp"
BLsurvey2_ed_shp = "BLsurvey2_ed.shp"
CIcensus3_ed_shp = "CIcensus3_ed.shp"
COcensus3_ed_shp = "COcensus3_ed.shp"
CRcensus3_ed_shp = "CRcensus3_ed.shp"
ECcensus3_ed_shp = "ECcensus3_ed.shp"
ESsurvey3_ed_shp = "ESsurvey3_ed.shp"
ARcensus3_shp = "ARcensus3.shp"
BRcensus3_shp = "BRcensus3.shp"
BLsurvey2_shp = "BLsurvey2.shp"
CIcensus3_shp = "CIcensus3.shp"
COcensus3_shp = "COcensus3.shp"
CRcensus3_shp = "CRcensus3.shp"
ECcensus3_shp = "ECcensus3.shp"
ESsurvey3_shp = "ESsurvey3.shp"
GTsurvey3_ed_shp = "GTsurvey3_ed.shp"
HOsurvey3_ed_shp = "HOsurvey3_ed.shp"
MXcensus3_ed_shp = "MXcensus3_ed.shp"
NUsurvey3_ed_shp = "NUsurvey3_ed.shp"
PAsurvey3_ed_shp = "PAsurvey3_ed.shp"
GTsurvey3_shp = "GTsurvey3.shp"
HOsurvey3_shp = "HOsurvey3.shp"
MXcensus3_shp = "MXcensus3.shp"
NUsurvey3_shp = "NUsurvey3.shp"
PAsurvey3_shp = "PAsurvey3.shp"
PEsurvey3_ed_shp = "PEsurvey3_ed.shp"
PMcensus3_ed_shp = "PMcensus3_ed.shp"
UScensus3_ed_shp = "UScensus3_ed.shp"
UYsurvey1_ed_shp = "UYsurvey1_ed.shp"
VEcensus3_ed_shp = "VEcensus3_ed.shp"
PEsurvey3_shp = "PEsurvey3.shp"
PMcensus3_shp = "PMcensus3.shp"
UScensus3_shp = "UScensus3.shp"
UYsurvey1_shp = "UYsurvey1.shp"
VEcensus3_shp = "VEcensus3.shp"

#Note that these commandes define custom-made Lambert_Azimuthal_Equal_Area proejctions,
#for North and South America, that result in substantially less distortion than the
#projections built into Arc. See the commands for the projection parameters. 

# Process: Project...
gp.Project_management(ARcensus3_shp, ARcensus3_ed_shp, "PROJCS['SA_Lambert_Azimuthal_Equal_Area',GEOGCS['GCS_WGS_1984',DATUM['D_WGS_1984',SPHEROID['WGS_1984',6378137.0,298.257223563]],PRIMEM['Greenwich',0.0],UNIT['Degree',0.0174532925199433]],PROJECTION['Lambert_Azimuthal_Equal_Area'],PARAMETER['False_Easting',0.0],PARAMETER['False_Northing',0.0],PARAMETER['Central_Meridian',-65.0],PARAMETER['Latitude_Of_Origin',-25.0],UNIT['Meter',1.0]]", "", "GEOGCS['GCS_WGS_1984',DATUM['D_WGS_1984',SPHEROID['WGS_1984',6378137.0,298.257223563]],PRIMEM['Greenwich',0.0],UNIT['Degree',0.0174532925199433]]")

# Process: Project (2)...
gp.Project_management(BRcensus3_shp, BRcensus3_ed_shp, "PROJCS['SA_Lambert_Azimuthal_Equal_Area',GEOGCS['GCS_WGS_1984',DATUM['D_WGS_1984',SPHEROID['WGS_1984',6378137.0,298.257223563]],PRIMEM['Greenwich',0.0],UNIT['Degree',0.0174532925199433]],PROJECTION['Lambert_Azimuthal_Equal_Area'],PARAMETER['False_Easting',0.0],PARAMETER['False_Northing',0.0],PARAMETER['Central_Meridian',-65.0],PARAMETER['Latitude_Of_Origin',-25.0],UNIT['Meter',1.0]]", "", "GEOGCS['GCS_WGS_1984',DATUM['D_WGS_1984',SPHEROID['WGS_1984',6378137.0,298.257223563]],PRIMEM['Greenwich',0.0],UNIT['Degree',0.0174532925199433]]")

# Process: Project (3)...
gp.Project_management(BLsurvey2_shp, BLsurvey2_ed_shp, "PROJCS['SA_Lambert_Azimuthal_Equal_Area',GEOGCS['GCS_WGS_1984',DATUM['D_WGS_1984',SPHEROID['WGS_1984',6378137.0,298.257223563]],PRIMEM['Greenwich',0.0],UNIT['Degree',0.0174532925199433]],PROJECTION['Lambert_Azimuthal_Equal_Area'],PARAMETER['False_Easting',0.0],PARAMETER['False_Northing',0.0],PARAMETER['Central_Meridian',-65.0],PARAMETER['Latitude_Of_Origin',-25.0],UNIT['Meter',1.0]]", "", "GEOGCS['GCS_WGS_1984',DATUM['D_WGS_1984',SPHEROID['WGS_1984',6378137.0,298.257223563]],PRIMEM['Greenwich',0.0],UNIT['Degree',0.0174532925199433]]")

# Process: Project (4)...
gp.Project_management(CIcensus3_shp, CIcensus3_ed_shp, "PROJCS['SA_Lambert_Azimuthal_Equal_Area',GEOGCS['GCS_WGS_1984',DATUM['D_WGS_1984',SPHEROID['WGS_1984',6378137.0,298.257223563]],PRIMEM['Greenwich',0.0],UNIT['Degree',0.0174532925199433]],PROJECTION['Lambert_Azimuthal_Equal_Area'],PARAMETER['False_Easting',0.0],PARAMETER['False_Northing',0.0],PARAMETER['Central_Meridian',-65.0],PARAMETER['Latitude_Of_Origin',-25.0],UNIT['Meter',1.0]]", "", "GEOGCS['GCS_WGS_1984',DATUM['D_WGS_1984',SPHEROID['WGS_1984',6378137.0,298.257223563]],PRIMEM['Greenwich',0.0],UNIT['Degree',0.0174532925199433]]")

# Process: Project (5)...
gp.Project_management(COcensus3_shp, COcensus3_ed_shp, "PROJCS['SA_Lambert_Azimuthal_Equal_Area',GEOGCS['GCS_WGS_1984',DATUM['D_WGS_1984',SPHEROID['WGS_1984',6378137.0,298.257223563]],PRIMEM['Greenwich',0.0],UNIT['Degree',0.0174532925199433]],PROJECTION['Lambert_Azimuthal_Equal_Area'],PARAMETER['False_Easting',0.0],PARAMETER['False_Northing',0.0],PARAMETER['Central_Meridian',-65.0],PARAMETER['Latitude_Of_Origin',-25.0],UNIT['Meter',1.0]]", "", "GEOGCS['GCS_WGS_1984',DATUM['D_WGS_1984',SPHEROID['WGS_1984',6378137.0,298.257223563]],PRIMEM['Greenwich',0.0],UNIT['Degree',0.0174532925199433]]")

# Process: Project (6)...
gp.Project_management(CRcensus3_shp, CRcensus3_ed_shp, "PROJCS['NA_Lambert_Azimuthal_Equal_Area',GEOGCS['GCS_WGS_1984',DATUM['D_WGS_1984',SPHEROID['WGS_1984',6378137.0,298.257223563]],PRIMEM['Greenwich',0.0],UNIT['Degree',0.0174532925199433]],PROJECTION['Lambert_Azimuthal_Equal_Area'],PARAMETER['False_Easting',0.0],PARAMETER['False_Northing',0.0],PARAMETER['Central_Meridian',-90.0],PARAMETER['Latitude_Of_Origin',30.0],UNIT['Meter',1.0]]", "", "GEOGCS['GCS_WGS_1984',DATUM['D_WGS_1984',SPHEROID['WGS_1984',6378137.0,298.257223563]],PRIMEM['Greenwich',0.0],UNIT['Degree',0.0174532925199433]]")

# Process: Project (7)...
gp.Project_management(ECcensus3_shp, ECcensus3_ed_shp, "PROJCS['SA_Lambert_Azimuthal_Equal_Area',GEOGCS['GCS_WGS_1984',DATUM['D_WGS_1984',SPHEROID['WGS_1984',6378137.0,298.257223563]],PRIMEM['Greenwich',0.0],UNIT['Degree',0.0174532925199433]],PROJECTION['Lambert_Azimuthal_Equal_Area'],PARAMETER['False_Easting',0.0],PARAMETER['False_Northing',0.0],PARAMETER['Central_Meridian',-65.0],PARAMETER['Latitude_Of_Origin',-25.0],UNIT['Meter',1.0]]", "", "GEOGCS['GCS_WGS_1984',DATUM['D_WGS_1984',SPHEROID['WGS_1984',6378137.0,298.257223563]],PRIMEM['Greenwich',0.0],UNIT['Degree',0.0174532925199433]]")

# Process: Project (8)...
gp.Project_management(ESsurvey3_shp, ESsurvey3_ed_shp, "PROJCS['NA_Lambert_Azimuthal_Equal_Area',GEOGCS['GCS_WGS_1984',DATUM['D_WGS_1984',SPHEROID['WGS_1984',6378137.0,298.257223563]],PRIMEM['Greenwich',0.0],UNIT['Degree',0.0174532925199433]],PROJECTION['Lambert_Azimuthal_Equal_Area'],PARAMETER['False_Easting',0.0],PARAMETER['False_Northing',0.0],PARAMETER['Central_Meridian',-90.0],PARAMETER['Latitude_Of_Origin',30.0],UNIT['Meter',1.0]]", "", "GEOGCS['GCS_WGS_1984',DATUM['D_WGS_1984',SPHEROID['WGS_1984',6378137.0,298.257223563]],PRIMEM['Greenwich',0.0],UNIT['Degree',0.0174532925199433]]")

# Process: Project (9)...
gp.Project_management(GTsurvey3_shp, GTsurvey3_ed_shp, "PROJCS['NA_Lambert_Azimuthal_Equal_Area',GEOGCS['GCS_WGS_1984',DATUM['D_WGS_1984',SPHEROID['WGS_1984',6378137.0,298.257223563]],PRIMEM['Greenwich',0.0],UNIT['Degree',0.0174532925199433]],PROJECTION['Lambert_Azimuthal_Equal_Area'],PARAMETER['False_Easting',0.0],PARAMETER['False_Northing',0.0],PARAMETER['Central_Meridian',-90.0],PARAMETER['Latitude_Of_Origin',30.0],UNIT['Meter',1.0]]", "", "GEOGCS['GCS_WGS_1984',DATUM['D_WGS_1984',SPHEROID['WGS_1984',6378137.0,298.257223563]],PRIMEM['Greenwich',0.0],UNIT['Degree',0.0174532925199433]]")

# Process: Project (10)...
gp.Project_management(HOsurvey3_shp, HOsurvey3_ed_shp, "PROJCS['NA_Lambert_Azimuthal_Equal_Area',GEOGCS['GCS_WGS_1984',DATUM['D_WGS_1984',SPHEROID['WGS_1984',6378137.0,298.257223563]],PRIMEM['Greenwich',0.0],UNIT['Degree',0.0174532925199433]],PROJECTION['Lambert_Azimuthal_Equal_Area'],PARAMETER['False_Easting',0.0],PARAMETER['False_Northing',0.0],PARAMETER['Central_Meridian',-90.0],PARAMETER['Latitude_Of_Origin',30.0],UNIT['Meter',1.0]]", "", "GEOGCS['GCS_WGS_1984',DATUM['D_WGS_1984',SPHEROID['WGS_1984',6378137.0,298.257223563]],PRIMEM['Greenwich',0.0],UNIT['Degree',0.0174532925199433]]")

# Process: Project (11)...
gp.Project_management(MXcensus3_shp, MXcensus3_ed_shp, "PROJCS['NA_Lambert_Azimuthal_Equal_Area',GEOGCS['GCS_WGS_1984',DATUM['D_WGS_1984',SPHEROID['WGS_1984',6378137.0,298.257223563]],PRIMEM['Greenwich',0.0],UNIT['Degree',0.0174532925199433]],PROJECTION['Lambert_Azimuthal_Equal_Area'],PARAMETER['False_Easting',0.0],PARAMETER['False_Northing',0.0],PARAMETER['Central_Meridian',-90.0],PARAMETER['Latitude_Of_Origin',30.0],UNIT['Meter',1.0]]", "", "GEOGCS['GCS_WGS_1984',DATUM['D_WGS_1984',SPHEROID['WGS_1984',6378137.0,298.257223563]],PRIMEM['Greenwich',0.0],UNIT['Degree',0.0174532925199433]]")

# Process: Project (12)...
gp.Project_management(NUsurvey3_shp, NUsurvey3_ed_shp, "PROJCS['NA_Lambert_Azimuthal_Equal_Area',GEOGCS['GCS_WGS_1984',DATUM['D_WGS_1984',SPHEROID['WGS_1984',6378137.0,298.257223563]],PRIMEM['Greenwich',0.0],UNIT['Degree',0.0174532925199433]],PROJECTION['Lambert_Azimuthal_Equal_Area'],PARAMETER['False_Easting',0.0],PARAMETER['False_Northing',0.0],PARAMETER['Central_Meridian',-90.0],PARAMETER['Latitude_Of_Origin',30.0],UNIT['Meter',1.0]]", "", "GEOGCS['GCS_WGS_1984',DATUM['D_WGS_1984',SPHEROID['WGS_1984',6378137.0,298.257223563]],PRIMEM['Greenwich',0.0],UNIT['Degree',0.0174532925199433]]")

# Process: Project (13)...
gp.Project_management(PAsurvey3_shp, PAsurvey3_ed_shp, "PROJCS['SA_Lambert_Azimuthal_Equal_Area',GEOGCS['GCS_WGS_1984',DATUM['D_WGS_1984',SPHEROID['WGS_1984',6378137.0,298.257223563]],PRIMEM['Greenwich',0.0],UNIT['Degree',0.0174532925199433]],PROJECTION['Lambert_Azimuthal_Equal_Area'],PARAMETER['False_Easting',0.0],PARAMETER['False_Northing',0.0],PARAMETER['Central_Meridian',-65.0],PARAMETER['Latitude_Of_Origin',-25.0],UNIT['Meter',1.0]]", "", "GEOGCS['GCS_WGS_1984',DATUM['D_WGS_1984',SPHEROID['WGS_1984',6378137.0,298.257223563]],PRIMEM['Greenwich',0.0],UNIT['Degree',0.0174532925199433]]")

# Process: Project (14)...
gp.Project_management(PEsurvey3_shp, PEsurvey3_ed_shp, "PROJCS['SA_Lambert_Azimuthal_Equal_Area',GEOGCS['GCS_WGS_1984',DATUM['D_WGS_1984',SPHEROID['WGS_1984',6378137.0,298.257223563]],PRIMEM['Greenwich',0.0],UNIT['Degree',0.0174532925199433]],PROJECTION['Lambert_Azimuthal_Equal_Area'],PARAMETER['False_Easting',0.0],PARAMETER['False_Northing',0.0],PARAMETER['Central_Meridian',-65.0],PARAMETER['Latitude_Of_Origin',-25.0],UNIT['Meter',1.0]]", "", "GEOGCS['GCS_WGS_1984',DATUM['D_WGS_1984',SPHEROID['WGS_1984',6378137.0,298.257223563]],PRIMEM['Greenwich',0.0],UNIT['Degree',0.0174532925199433]]")

# Process: Project (15)...
gp.Project_management(PMcensus3_shp, PMcensus3_ed_shp, "PROJCS['NA_Lambert_Azimuthal_Equal_Area',GEOGCS['GCS_WGS_1984',DATUM['D_WGS_1984',SPHEROID['WGS_1984',6378137.0,298.257223563]],PRIMEM['Greenwich',0.0],UNIT['Degree',0.0174532925199433]],PROJECTION['Lambert_Azimuthal_Equal_Area'],PARAMETER['False_Easting',0.0],PARAMETER['False_Northing',0.0],PARAMETER['Central_Meridian',-90.0],PARAMETER['Latitude_Of_Origin',30.0],UNIT['Meter',1.0]]", "", "GEOGCS['GCS_WGS_1984',DATUM['D_WGS_1984',SPHEROID['WGS_1984',6378137.0,298.257223563]],PRIMEM['Greenwich',0.0],UNIT['Degree',0.0174532925199433]]")

# Process: Project (16)...
gp.Project_management(UScensus3_shp, UScensus3_ed_shp, "PROJCS['NA_Lambert_Azimuthal_Equal_Area',GEOGCS['GCS_WGS_1984',DATUM['D_WGS_1984',SPHEROID['WGS_1984',6378137.0,298.257223563]],PRIMEM['Greenwich',0.0],UNIT['Degree',0.0174532925199433]],PROJECTION['Lambert_Azimuthal_Equal_Area'],PARAMETER['False_Easting',0.0],PARAMETER['False_Northing',0.0],PARAMETER['Central_Meridian',-90.0],PARAMETER['Latitude_Of_Origin',30.0],UNIT['Meter',1.0]]", "", "GEOGCS['GCS_WGS_1984',DATUM['D_WGS_1984',SPHEROID['WGS_1984',6378137.0,298.257223563]],PRIMEM['Greenwich',0.0],UNIT['Degree',0.0174532925199433]]")

# Process: Project (17)...
gp.Project_management(UYsurvey1_shp, UYsurvey1_ed_shp, "PROJCS['SA_Lambert_Azimuthal_Equal_Area',GEOGCS['GCS_WGS_1984',DATUM['D_WGS_1984',SPHEROID['WGS_1984',6378137.0,298.257223563]],PRIMEM['Greenwich',0.0],UNIT['Degree',0.0174532925199433]],PROJECTION['Lambert_Azimuthal_Equal_Area'],PARAMETER['False_Easting',0.0],PARAMETER['False_Northing',0.0],PARAMETER['Central_Meridian',-65.0],PARAMETER['Latitude_Of_Origin',-25.0],UNIT['Meter',1.0]]", "", "GEOGCS['GCS_WGS_1984',DATUM['D_WGS_1984',SPHEROID['WGS_1984',6378137.0,298.257223563]],PRIMEM['Greenwich',0.0],UNIT['Degree',0.0174532925199433]]")

# Process: Project (18)...
gp.Project_management(VEcensus3_shp, VEcensus3_ed_shp, "PROJCS['SA_Lambert_Azimuthal_Equal_Area',GEOGCS['GCS_WGS_1984',DATUM['D_WGS_1984',SPHEROID['WGS_1984',6378137.0,298.257223563]],PRIMEM['Greenwich',0.0],UNIT['Degree',0.0174532925199433]],PROJECTION['Lambert_Azimuthal_Equal_Area'],PARAMETER['False_Easting',0.0],PARAMETER['False_Northing',0.0],PARAMETER['Central_Meridian',-65.0],PARAMETER['Latitude_Of_Origin',-25.0],UNIT['Meter',1.0]]", "", "GEOGCS['GCS_WGS_1984',DATUM['D_WGS_1984',SPHEROID['WGS_1984',6378137.0,298.257223563]],PRIMEM['Greenwich',0.0],UNIT['Degree',0.0174532925199433]]")


#################################################################
###-------Calculate average distances 
#################################################################

#-----United States


# Process: Zonal Statistics as Table...
dpUS = "dpUS"
gp.ZonalStatisticsAsTable_sa(UScensus3_ed_shp, "cid", cdist_n, dpUS, "DATA")
print "calculated mean distance US"

# Process: Table Select...
dpUS_dbf = "dpUS.dbf"
gp.TableSelect_analysis(dpUS, dpUS_dbf, "")
print "exported mean distance US"

#-----Mexico

# Process: Zonal Statistics as Table...
dpMX = "dpMX"
gp.ZonalStatisticsAsTable_sa(MXcensus3_ed_shp, "MXcodes_AD", cdist_n, dpMX, "DATA")
print "calculated mean distance MX"

# Process: Table Select...
dpMX_dbf = "dpMX.dbf"
gp.TableSelect_analysis(dpMX, dpMX_dbf, "")
print "exported mean distance MX"


#-----Guatemala


# Process: Zonal Statistics as Table...
dpGT = "dpGT"
gp.ZonalStatisticsAsTable_sa(GTsurvey3_ed_shp, "MUN", cdist_n, dpGT, "DATA")
print "calculated mean distance GT"

# Process: Table Select...
dpGT_dbf = "dpGT.dbf"
gp.TableSelect_analysis(dpGT, dpGT_dbf, "")
print "exported mean distance GT"


#-----El Salvador


# Process: Zonal Statistics as Table...
dpES = "dpES"
gp.ZonalStatisticsAsTable_sa(ESsurvey3_ed_shp, "EScodes.ADMIN3", cdist_n, dpES, "DATA")
print "calculated mean distance ES"

# Process: Table Select...
dpES_dbf = "dpES.dbf"
gp.TableSelect_analysis(dpES, dpES_dbf, "")
print "exported mean distance ES"


#-----Honduras


# Process: Zonal Statistics as Table...
dpHO = "dpHO"
gp.ZonalStatisticsAsTable_sa(HOsurvey3_ed_shp, "MUN", cdist_n, dpHO, "DATA")
print "calculated mean distance HO"

# Process: Table Select...
dpHO_dbf = "dpHO.dbf"
gp.TableSelect_analysis(dpHO, dpHO_dbf, "")
print "exported mean distance HO"

#-----Nicaragua


# Process: Zonal Statistics as Table...
dpNU = "dpNU"
gp.ZonalStatisticsAsTable_sa(NUsurvey3_ed_shp, "MUN", cdist_n, dpNU, "DATA")
print "calculated mean distance NU"

# Process: Table Select...
dpNU_dbf = "dpNU.dbf"
gp.TableSelect_analysis(dpNU, dpNU_dbf, "")
print "exported mean distance NU"


#-----Costa Rica

# Process: Zonal Statistics as Table...
dpCR = "dpCR"
gp.ZonalStatisticsAsTable_sa(CRcensus3_ed_shp, "CRed_codes.CENS_PROV", cdist_n, dpCR, "DATA")
print "calculated mean distance CR"

# Process: Table Select...
dpCR_dbf = "dpCR.dbf"
gp.TableSelect_analysis(dpCR, dpCR_dbf, "")
print "exported mean distance CR"


#-----Panama

# Process: Zonal Statistics as Table...
dpPM = "dpPM"
gp.ZonalStatisticsAsTable_sa(PMcensus3_ed_shp, "PMcodes.ADMIN3", cdist_n, dpPM, "DATA")
print "calculated mean distance PM"

# Process: Table Select...
dpPM_dbf = "dpPM.dbf"
gp.TableSelect_analysis(dpPM, dpPM_dbf, "")
print "exported mean distance PM"


#-----Venezuela


# Process: Zonal Statistics as Table...
dpVE = "dpVE"
gp.ZonalStatisticsAsTable_sa(VEcensus3_ed_shp, "cid", cdist_s, dpVE, "DATA")
print "calculated mean distance VE"

# Process: Table Select...
dpVE_dbf = "dpVE.dbf"
gp.TableSelect_analysis(dpVE, dpVE_dbf, "")
print "exported mean distance VE"



#-----Colombia

pds = "pds"

# Process: Zonal Statistics as Table...
dpCO = "dpCO"
COcensus3_ed_shp = "COcensus3_ed.shp"
gp.ZonalStatisticsAsTable_sa(COcensus3_ed_shp, "cid", pds, dpCO, "DATA")
print "calculated mean distance CO"

# Process: Table Select...
dpCO_dbf = "dpCO.dbf"
gp.TableSelect_analysis(dpCO, dpCO_dbf, "")
print "exported mean distance CO"


#-----Ecuador

# Process: Zonal Statistics as Table...
dpEC = "dpEC"
ECcensus3_ed_shp = "ECcensus3_ed.shp"
gp.ZonalStatisticsAsTable_sa(ECcensus3_ed_shp, "cid", pds, dpEC, "DATA")
print "calculated mean distance EC"

# Process: Table Select...
dpEC_dbf = "dpEC.dbf"
gp.TableSelect_analysis(dpEC, dpEC_dbf, "")
print "exported mean distance EC"


#-----Peru

# Process: Zonal Statistics as Table...
dpPE = "dpPE"
PEsurvey3_ed_shp = "PEsurvey3_ed.shp"
gp.ZonalStatisticsAsTable_sa(PEsurvey3_ed_shp, "CODIGO_DIS", pds, dpPE, "DATA")
print "calculated mean distance PE"

# Process: Table Select...
dpPE_dbf = "dpPE.dbf"
gp.TableSelect_analysis(dpPE, dpPE_dbf, "")
print "exported mean distance PE"

#-----Bolivia


# Process: Zonal Statistics as Table...
dpBL = "dpBL"
BLsurvey2_ed_shp = "BLsurvey2_ed.shp"
gp.ZonalStatisticsAsTable_sa(BLsurvey2_ed_shp, "MUN", pds, dpBL, "DATA")
print "calculated mean distance BL"

# Process: Table Select...
dpBL_dbf = "dpBL.dbf"
gp.TableSelect_analysis(dpBL, dpBL_dbf, "")
print "exported mean distance BL"

#-----Brazil


# Process: Zonal Statistics as Table...
BRcensus3_ed_shp = "BRcensus3_ed.shp"
dpBR = "dpBR"
gp.ZonalStatisticsAsTable_sa(BRcensus3_ed_shp, "cid", pds, dpBR, "DATA")
print "calculated mean distance BR"

# Process: Table Select...
dpBR_dbf = "dpBR.dbf"
gp.TableSelect_analysis(dpBR, dpBR_dbf, "")
print "exported mean distance BR"


#-----Paraguay

# Process: Zonal Statistics as Table...
PAsurvey3_ed_shp = "PAsurvey3_ed.shp"
dpPA = "dpPA"
gp.ZonalStatisticsAsTable_sa(PAsurvey3_ed_shp, "MUN", pds, dpPA, "DATA")
print "calculated mean distance PA"

# Process: Table Select...
dpPA_dbf = "dpPA.dbf"
gp.TableSelect_analysis(dpPA, dpPA_dbf, "")
print "exported mean distance PA"

#-----Uruguay

# Process: Zonal Statistics as Table...
UYsurvey1_ed_shp = "UYsurvey1_ed.shp"
dpUY = "dpUY"
gp.ZonalStatisticsAsTable_sa(UYsurvey1_ed_shp, "MUN", pds, dpUY, "DATA")
print "calculated mean distance UY"

# Process: Table Select...
dpUY_dbf = "dpUY.dbf"
gp.TableSelect_analysis(dpUY, dpUY_dbf, "")
print "exported mean distance UY"

#-----Chile

# Process: Zonal Statistics as Table...
CIcensus3_ed_shp = "CIcensus3_ed.shp"
dpCI = "dpCI"
gp.ZonalStatisticsAsTable_sa(CIcensus3_ed_shp, "cid", pds, dpCI, "DATA")
print "calculated mean distance CI"

# Process: Table Select...
dpCI_dbf = "dpCI.dbf"
gp.TableSelect_analysis(dpCI, dpCI_dbf, "")
print "exported mean distance CI"


#-----Argentina

# Process: Zonal Statistics as Table...
ARcensus3_ed_shp = "ARcensus3_ed.shp"
dpAR = "dpAR"
gp.ZonalStatisticsAsTable_sa(ARcensus3_ed_shp, "codes4AR_M", pds, dpAR, "DATA")
print "calculated mean distance AR"

# Process: Table Select...
dpAR_dbf = "dpAR.dbf"
gp.TableSelect_analysis(dpAR, dpAR_dbf, "")
print "exported mean distance AR"




